> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference.md).

# API Reference

BlockPI Network is now fully available on more than **60 chains** including Mainnet and Testnet. BlockPI also provide `blockpi_` namespace to provide account information queries.

{% content-ref url="/pages/s6833eReKdYg3gmzofMP" %}
[BlockPI](/build/api-reference/blockpi.md)
{% endcontent-ref %}

BlockPI supports WebSocket and HTTPS. Note that the `eth_subscribe` method is only available for WebSocket.&#x20;

To safeguard the RPC node, every RPC provider sets a timeout for WebSocket connections to be disconnected periodically. In the case of BlockPI, the timeout is set to 30 minutes after each connection is established. Please check the code sample of our [Best Practices](/basic-tutorials/best-practices.md) page for instruction.

{% hint style="info" %}
If you send batch RPC requests in a single HTTPS request, cost would be based on the number of RPC requests. Note that there is limit time for a Https request. If too many RPC requests are sent with one Https request, there may be a timeout error. So the number is limited to 10 for public endpoints and 1000 for private endpoints.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.blockpi.io/build/api-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
